import { postRequest, postParamsRequest,getRequest,postRequestFormData,putRequest,deleteRequest} from './request'
const base = '';
// 登陆接口
export const requst_post_login = data => postParamsRequest(`/wx/login`, data);

//扫码接口
export const requst_post_addInfo = data => postRequest(`/receive/add`, data);
// 展览接口
export const  exhibitionDetails = data => getRequest(`/wx/exhibition/`+data);
// 是否付费
export const  ifpay = data => getRequest(`/wx/payoff/getPayoffByExhibitionId`,data);

// 展品列表
export const  exhibitsList = data => getRequest(`/wx/exhibits/list`, data);
// 展品详情
export const  exhibitsDetails = data => getRequest(`/wx/exhibits/`+data);

// 订单列表
export const  orderList = data => getRequest(`/wx/payoff/list`, data);
// 纪念品列表
export const  souvenirList = data => getRequest(`/wx/payoff/souvenir`, data);
// 收藏列表
export const  collectList = data => getRequest(`/wx/collect/list`, data);
// 新增收藏
export const  addCollect = data => postRequest(`/wx/collect`, data);

// 是否收藏
export const  ifCollect = data => getRequest(`/wx/collect/getCollectByOpenId`, data);
// 取消收藏
export const  deleteCollect = data => deleteRequest(`/wx/collect/`+data);
// 微信支付
export const  wxPay = data => getRequest(`/wx/pay/createOrder`, data);
// 语音播放次数
export const voiceNumber  = data => postRequest(`/system/statistics`, data);