import { exhibitsDetails } from "../../../api/index"
const App = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    navTop:App.globalData.navTop,
    title:"图片",
    imgList:[],
    visible:false,
    imgsUrl:'',
    imgheight:App.globalData.screenHeight,
    exhibitsDetails:''
  },
  showBanner(e){
    const current = e.currentTarget.dataset.url
    const urls = []
    this.data.exhibitsDetails.imgUrl.forEach(element => {
        console.log(element.url)
        urls.push(element.url)
    });
    wx.previewImage({
        current: current, // 当前显示图片的http链接
        urls: urls // 需要预览的图片http链接列表
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const pages = getCurrentPages();

    // 获取当前页面的路径
    const currentPage = pages[pages.length - 1];

    // 获取当前页面的参数
    const params = currentPage.options;
    setTimeout(()=>{
        this.getList()
    },1000)
  },
  imgBig(event){
    const imgsurl = event.currentTarget.dataset.url;
    this.setData({
        visible:true,
        imgsUrl:imgsurl
    })
  },
  dialogHide(){
    this.setData({
        visible:false
    })
  },
  getList(){
    let exhibits_id = wx.getStorageSync('exhibits_id');
    exhibitsDetails(exhibits_id).then(res =>{
        console.log(res.data.data,"data")
        this.setData({
            imgList:res.data.data.imgUrl,
            exhibitsDetails:res.data.data
        })
    })
  },
  navigateBack: function () {
    wx.navigateBack()
  },
})