import { exhibitsDetails } from "../../../api/index"
const App = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    navTop:App.globalData.navTop,
    title:"视频",
    videoList:[],
    videoShow:true,
    videoSrc:'',
    playing:false,
  },
  playVideo(event){
    const video = event.currentTarget.dataset.url;
    this.setData({
        videoSrc:video,
        videoShow:false,
    })
  },
  onPlayTap() {
    const videoContext = wx.createVideoContext('videoPlayer');
    if (this.data.playing) {
      videoContext.pause();
    } else {
      videoContext.play();
    }
    this.setData({
      playing: !this.data.playing
    });
  },
  ifbox(){
    this.setData({
        videoShow:true
    })
    const videoContext = wx.createVideoContext('videoPlayer');
    videoContext.pause();
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    setTimeout(()=>{
        this.getList()
    },1000)
  },
  getList(){
    let exhibits_id = wx.getStorageSync('exhibits_id');
    exhibitsDetails(exhibits_id).then(res =>{
        console.log(res.data.data,"data")
        this.setData({
            videoList:res.data.data.videoUrl,
        })
    })
  },
  navigateBack: function () {
    wx.navigateBack()
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})