import {wxPay,exhibitionDetails} from "../../api/index"
const App = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    navTop:App.globalData.navTop,
    payMent:'',
    exhibition:''
  },
  getExhibition(){
    var that = this
    var exhibition_id = wx.getStorageSync('exhibition_id')
    console.log(exhibition_id,"exhibition_id")
    exhibitionDetails(exhibition_id).then(res=>{
        res.data.data.exhibitionStartTime = res.data.data.exhibitionStartTime.slice(0,11)
        res.data.data.exhibitionEndTime = res.data.data.exhibitionEndTime.slice(0,11)
        that.setData({
            exhibition :res.data.data,
            payMent:res.data.data.preferentialPrice,
        })
        console.log(res.data.data,"exhibition_id")
    }).catch(err=>{ })
 },
 submit(){
    var exhibition_id = wx.getStorageSync('exhibition_id')
    wxPay({
        exhibitionId:exhibition_id,
        payMent:this.data.payMent
    }).then(res =>{
        console.log(res,"333333333333333")

        // 发起微信支付请求
        wx.requestPayment({
            timeStamp: res.data.data.timeStamp,
            nonceStr: res.data.data.nonceStr,
            package: res.data.data.packageStr,
            signType: res.data.data.signType,
            paySign: res.data.data.paySign,
            success: () => {
            // 支付成功，处理相关逻辑
            wx.switchTab({
                url: '/pages/index/index'
            })
            },
            fail: () => {
            // 支付失败，处理相关逻辑
            // ...
            }
      });
    })
 },
  /**
   * 生命周期函数--监听页面加载
   */
  onShow: function (options) {
    setTimeout(() => {
        this.getExhibition()
    },100)
  },
  navigateBack: function () {
    wx.navigateBack()
  },
})