// pages/wxlogin/wxlogin.js

import {
  Router
} from "../../utils/common";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    popshow:true,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  SaveTarget(e) {
    // 推荐使用wx.getUserProfile获取用户信息，开发者每次通过该接口获取用户个人信息均需用户确认
    // 开发者妥善保管用户快速填写的头像昵称，避免重复弹窗
    wx.getUserInfo ({
      desc: '用于完善会员资料', // 声明获取用户个人信息后的用途，后续会展示在弹窗中，请谨慎填写
      success: (res) => {
        let encryptedData = res.encryptedData;
        let iv = res.iv; 
        var setData={
              encryptedData:encryptedData,
              iv:iv
        }
          wx.request({
            url: 'https://point.xiuqinews.cn/wx1/user',
            data: setData,
            header: {
              'content-type': 'application/json'
            },
            success (res) {
              wx.showToast({
                title: res.data.data,
                icon: 'none'
              })
              if(res.data.data){
                // wx.showToast({
                //   title: '登录成功',
                //   icon: 'none'
                // })
                wx.setStorage({
                  key: 'access-token',
                  data: res.data.data,
                })
                wx.setStorage({
                  key: 'wx_name',
                  data: res.data.data2,
                })
                wx.setStorage({
                  key: 'wx_img',
                  data: res.data.message,
                })
                setTimeout(function () {
                  Router.redirectTo("/pages/my/my");
                }, 400)
                console.log(res,'登录成功');
              }
            }
          })
      }
    })
  },
  onLoad(options) {
    // console.log('授权.js,登录')
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})