import request from '@/utils/request'

// 查询轮播图列表
export function listLbt(query) {
  return request({
    url: '/api/lbt/v1/select',
    method: 'get',
    params: query
  })
}

// 查询轮播图详细
export function getLbt(getByid) {
  return request({
    url: '/api/lbt/v1/wx/getByid',
    method: 'post',
    data: getByid
  })
}

// 新增轮播图
export function addLbt(data) {
  return request({
    url: '/api/lbt/v1/addOrUpdate',
    method: 'post',
    data: data
  })
}
// 删除轮播图
export function delLbt(data) {
  return request({
    url: '/api/lbt/v1/del',
    method: 'post',
    data:data
  })
}
