import request from '@/utils/request'

// 查询车费设置列表
export function farelist(query) {
  return request({
    url: '/tFareSetting/selectAll',
    method: 'get',
    params: query
  })
}

// 查询车费设置详细
export function getSetting(id) {
  return request({
    url: '/system/setting/' + id,
    method: 'get'
  })
}

// 新增车费设置
export function addSetting(data) {
  return request({
    url: '/tFareSetting/add',
    method: 'post',
    data: data
  })
}

// 修改车费设置
export function updateSetting(data) {
  return request({
    url: '/tFareSetting/update',
    method: 'post',
    data: data
  })
}

// 删除车费设置
export function delSetting(data) {
  return request({
    url: '/tFareSetting/delete',
    method: 'post',
    data: data
  })
}
