import request from '@/utils/request'

// 查询招商代理列表
export function listDevelopment(query) {
  return request({
    url: '/businessDevelopment/selectAll',
    method: 'get',
    params: query
  })
}

// // 查询招商代理详细
// export function getDevelopment(id) {
//   return request({
//     url: '/system/development/' + id,
//     method: 'get'
//   })
// }

// 新增招商代理
export function addDevelopment(data) {
  return request({
    url: '/businessDevelopment/add',
    method: 'post',
    data: data
  })
}

// 修改招商代理
export function updateDevelopment(data) {
  return request({
    url: '/businessDevelopment/update',
    method: 'post',
    data: data
  })
}

// 删除招商代理
export function delDevelopment(data) {
  return request({
    url: '/businessDevelopment/delete',
    method: 'post',
    data: data
  })
}
