import request from '@/utils/request'

// 查询项目列表
export function listXiangmu(query) {
  return request({
    url: '/api/xiangmu/v1/select',
    method: 'get',
    params: query
  })
}

// 查询项目详细
export function getXiangmu(data) {
  return request({
    url: '/api/xiangmu/v1/getByid',
    method: 'post',
    data:data
  })
}

// 新增/修改项目
export function addXiangmu(data) {
  return request({
    url: '/api/xiangmu/v1/saveOrUpdate',
    method: 'post',
    data: data
  })
}

// 删除项目
export function delXiangmu(data) {
  return request({
    url: '/api/xiangmu/v1/del',
    method: 'post',
    data:data
  })
}
// 亮点
export function highList(query) {
  return request({
    url: '/api/xiangmu/v1/highlights',
    method: 'get',
    params: query
  })
}