const App = getApp();
import { exhibitionDetails} from '../../api/index.js'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    navTop:App.globalData.navTop,
    imageUrl:'',
    exhibition:'',
    exhibitionStartTime:'',
    exhibitionEndTime:''
  },
  navigateBack: function () {
    wx.navigateBack()
  },
  getExhibition(){
    var exhibition_id = wx.getStorageSync('exhibition_id')
    exhibitionDetails(exhibition_id).then(res=>{
        // console.log(res.data.data,'展览')
        console.log(res.data.data)
        if(res.data.data.imgUrl.length!=0){
            console.log(1)
            this.setData({
                imageUrl : res.data.data.imgUrl[0].url,
                exhibition :res.data.data,
                exhibitionStartTime: res.data.data.exhibitionStartTime.slice(0,11),
                exhibitionEndTime: res.data.data.exhibitionEndTime.slice(0,11)
            })
        }else{
            console.log(2)
            this.setData({
                imageUrl : "https://www.icelook.cn/exhibition/images/page/banner.png",
                exhibition :res.data.data,
                exhibitionStartTime: res.data.data.exhibitionStartTime.slice(0,11),
                exhibitionEndTime: res.data.data.exhibitionEndTime.slice(0,11)
            })   
        }

    }).catch(err=>{
        
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getExhibition()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})