import request from '@/utils/request'

// 通过主键查询单条数据
export function listCoupon(query) {
  return request({
    url: '/coupon/getById',
    method: 'get',
    params: query
  })
}

// 查询优惠券详细
export function getCoupon(query) {
  return request({
    url: '/coupon/list',
    method: 'get',
    params: query
  })
}

// 新增轮优惠券
export function addCoupon(data) {
  return request({
    url: '/coupon/submit',
    method: 'post',
    data: data
  })
}
// 删除优惠券
export function delCoupon(data) {
  return request({
    url: '/coupon/delete',
    method: 'post',
    data: data
  })
}

//修改优惠券
export function updateCoupon(data) {
    return request({
      url: '/coupon/update',
      method: 'post',
      data:data
    })
  }


