const formatTime = date => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  const hour = date.getHours()
  const minute = date.getMinutes()
  const second = date.getSeconds()

  return [year, month, day].map(formatNumber).join('/') + ' ' + [hour, minute, second].map(formatNumber).join(':')
}

const formatDate = date => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()

  return [year, month, day].map(formatNumber).join('-')
}

const formatNumber = n => {
  n = n.toString()
  return n[1] ? n : '0' + n
}

const findItemInArray = (targetArray,val) => {
  let index;
  for (var i = 0; i < targetArray.length; i++) {
    if (targetArray[i] == val) {
      index = i;
      break;
    }
  }
  return index
}

module.exports = {
  formatTime: formatTime,
  formatDate: formatDate,
  findItemInArray: findItemInArray
}
